Subject: bug#19854: 25.0.50; completion-extra-properties in emacs-25

From: Dmitry Gutov <[email-masked]>
Date: Mon, 27 Jun 2016 04:28:48 +0300

On 06/25/2016 11:38 PM, Noam Postavsky wrote:
> Does this look okay?

Looks fine to me, thanks.

> (defun elisp-completion-at-point ()
>   "Function used for `completion-at-point-functions' in `emacs-lisp-mode'.
> The returned completions depend on whether point is in a function
> or variable position;

To be thorough, though, AFAIK "function position" means something 
specific to a Lisp programmer: the first element of a list.

Whereas we also look at whether the whole form is quoted (and if so, 
offer all kinds of symbols as completions anyway), and we can also offer 
function-only completions in a non-function position if the function 
position contains one of the known macros (such as cl-callf or 
declare-function).